Subject: Re: [PATCH v9 1/2] dt-bindings: net: wireless: qcom,ath11k: describe the ath11k on QCA6390

From: Kalle Valo <[email-masked]>
Date: Mon, 17 Jun 2024 12:09:33 +0300

Bartosz Golaszewski <[email-masked]> writes:

> On Wed, Jun 12, 2024 at 2:52 PM Bartosz Golaszewski <[email-masked]> wrote:
>>
>> On Wed, Jun 12, 2024 at 2:49 PM Kalle Valo <[email-masked]> wrote:
>> >
>> > Bartosz Golaszewski <[email-masked]> writes:
>> >
>> > >> >> Sure, I don't need DT but that's not my point. My point is why require
>> > >> >> these supplies for _all_ devices having PCI id 17cb:1101 (ie. QCA6390)
>> > >> >> then clearly there are such devices which don't need it? To me that's
>> > >> >> bad design and, if I'm understanding correctly, prevents use of
>> > >> >> qcom,ath11k-calibration-variant property. To me having the supplies
>> > >> >> optional in DT is more approriate.
>> > >> >>
>> > >> >
>> > >> > We require them because *they are physically there*.
>> > >>
>> > >> I understand that for all known DT QCA6390 hardware, the supplies should
>> > >> be provided thus they should be required. If in the future we have
>> > >> different design or we represent some pluggable PCI card, then:
>> > >> 1. Probably that PCI card does not need power sequencing, thus no DT
>> > >> description,
>> > >> 2. If still needs power sequencing, you can always amend bindings and
>> > >> un-require the supplies.
>> > >>
>> > >>
>> > >> Best regards,
>> > >> Krzysztof
>> > >>
>> > >
>> > > Kalle, does the above answer your questions? Are these bindings good to go?
>> >
>> > To me most important is that we are on the same page that in some cases
>> > (eg. with M.2 boards) the supplies can be optional and we can update the
>> > bindings doc once such need arises (but we don't make any changes right
>> > now). Based on point 2 from Krzysztof I think we all agree, right?
>> >
>> > Just making sure: if we later change the supplies optional does that
>> > create any problems with backwards compatibility? It's important that
>> > updates go smoothly.
>>
>> No, you can always relax the requirements alright. It's only when you
>> make them more strict that you'll run into backward compatibility
>> issues.
>>
>> Bart
>
> Kalle,
>
> Is that ok with you? Can we get that queued to avoid the new
> check_dtbs warnings in next when the DTS changes land?

Yes, this patchset is already on our pending branch and should be
applied soon. I was on a long weekend hence the delay.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches